wxWidgets: wxHtmlSelection Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxHtmlSelection Class Reference

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.i686/src/wxWidgets-3.0.5.1/interface/wx/html/htmlcell.h>`

## Public Member Functions
| wxHtmlSelection ()
void | Set (const wxPoint &fromPos, const wxHtmlCell *fromCell, const wxPoint &toPos, const wxHtmlCell *toCell)
void | Set (const wxHtmlCell *fromCell, const wxHtmlCell *toCell)
const wxHtmlCell * | GetFromCell () const
const wxHtmlCell * | GetToCell () const
const wxPoint & | GetFromPos () const
const wxPoint & | GetToPos () const
void | ClearFromToCharacterPos ()
bool | AreFromToCharacterPosSet () const
void | SetFromCharacterPos (wxCoord pos)
void | SetToCharacterPos (wxCoord pos)
wxCoord | GetFromCharacterPos () const
wxCoord | GetToCharacterPos () const
bool | IsEmpty () const

## Constructor & Destructor Documentation

## ◆ wxHtmlSelection()

wxHtmlSelection::wxHtmlSelection | ( |  | ) |

## Member Function Documentation

## ◆ AreFromToCharacterPosSet()

bool wxHtmlSelection::AreFromToCharacterPosSet | ( |  | ) | const

## ◆ ClearFromToCharacterPos()

void wxHtmlSelection::ClearFromToCharacterPos | ( |  | ) |

## ◆ GetFromCell()

const wxHtmlCell* wxHtmlSelection::GetFromCell | ( |  | ) | const

## ◆ GetFromCharacterPos()

wxCoord wxHtmlSelection::GetFromCharacterPos | ( |  | ) | const

## ◆ GetFromPos()

const wxPoint& wxHtmlSelection::GetFromPos | ( |  | ) | const

## ◆ GetToCell()

const wxHtmlCell* wxHtmlSelection::GetToCell | ( |  | ) | const

## ◆ GetToCharacterPos()

wxCoord wxHtmlSelection::GetToCharacterPos | ( |  | ) | const

## ◆ GetToPos()

const wxPoint& wxHtmlSelection::GetToPos | ( |  | ) | const

## ◆ IsEmpty()

bool wxHtmlSelection::IsEmpty | ( |  | ) | const

## ◆ Set() [1/2]

void wxHtmlSelection::Set | ( | const wxHtmlCell * | fromCell,
|  | const wxHtmlCell * | toCell
| ) |  |

## ◆ Set() [2/2]

void wxHtmlSelection::Set | ( | const wxPoint & | fromPos,
|  | const wxHtmlCell * | fromCell,
|  | const wxPoint & | toPos,
|  | const wxHtmlCell * | toCell
| ) |  |

## ◆ SetFromCharacterPos()

void wxHtmlSelection::SetFromCharacterPos | ( | wxCoord | pos | ) |

## ◆ SetToCharacterPos()

void wxHtmlSelection::SetToCharacterPos | ( | wxCoord | pos | ) |